
<template>
    <div>
        <!-- Paragraph-->
        <div class="title1 section-t-space">
            <h2 class="title-inner1">Collection</h2>
        </div>
        <!-- section start -->
        <section class="section-b-space ratio_asos">
            <div class="collection-wrapper">
                <div class="container">
                    <div class="row">
                        <div class="collection-content col">
                            <div class="page-main-content">
                                <div class="row">
                                    <div class="col-sm-12">

                                        <div class="collection-product-wrapper">
                                            <div class="product-wrapper-grid product-load-more">
                                                <div class="row margin-res">
                                                    <div v-for="(product,key) in products" :key="product.id" class="col-xl-3 col-6 col-grid-box" :style="key<=20?'display:block':''">
                                                        <div class="product-box">
                                                            <div class="img-wrapper">
                                                                <div class="front" @click="singleProduct(product)">
                                                                    <a href="javascript:void(0)">
                                                                        <img :src="product.image?'/storage/product/'+product.image:''" class="img-fluid blur-up lazyload bg-img" alt=""></a>
                                                                </div>
                                                                <div class="back" @click="singleProduct(product)">
                                                                    <a href="javascript:void(0)">
                                                                        <img :src="product.image?'/storage/product/'+product.image:''" class="img-fluid blur-up lazyload bg-img" alt=""></a>
                                                                </div>
                                                                <div class="cart-info cart-wrap">
                                                                    <button data-toggle="modal" data-target="#addtocart" @click="addCart(product)" title="Add to cart">
                                                                        <i class="fa fa-shopping-cart"></i>
                                                                    </button>
                                                                    <a href="javascript:void(0)" title="Add to Wishlist">
                                                                        <i class="fa fa-heart" aria-hidden="true"></i>
                                                                    </a>
                                                                    <a href="javascript:void(0)" data-toggle="modal" @click="quickView(product)" data-target="#quick-view" title="Quick View">
                                                                        <i class="fa fa-eye" aria-hidden="true"></i>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                            <div class="product-detail" @click="singleProduct(product)">
                                                                <div>
                                                                    <div class="rating"><i class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i></div>
                                                                    <a href="javascript:void(0)">
                                                                        <h6>{{product.name}} {{product.code}}</h6>
                                                                    </a>
                                                                    <h4>Tk. {{product.price}}</h4>
                                                                    <ul class="color-variant">
                                                                        <li v-for="color in product.colors" class="active" :key="color.id" style="overflow: hidden; min-width: 35px;">
                                                                            <a href="javascript:void(0)" >{{color.name}}</a>
                                                                        </li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="load-more-sec">
                                                <a href="javascript:void(0)" class="loadMore">load more</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- section End -->
    </div>
</template>

<script>
    import {EventBus} from "./event-bus";
    import router from "../../router";
    import {mapGetters} from "vuex";
    export default {
        created(){
            this.$store.dispatch('getProducts');
        },
        methods:{
            singleProduct(product){
                //router.push({name:'single.product',params:{product:product}})
                EventBus.$emit('singleProduct',product);
            },
            addCart(product){
                axios.post('/product/add/cart',product).then((response) =>{
                    if (response.data[0] === 0){
                        this.$toaster.error(response.data[1]);
                    }else{
                        this.$toaster.success(response.data[1]);
                    }
                });
            },
            quickView(product){
                EventBus.$emit('quickView',product);
            }
        },
        computed:{
            ...mapGetters([
                'products',
            ]),
        }
    }
</script>
